tigase.jaxmpp.j2se.connection

## Class ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<ConnectionManager.ConnectionEstablishedHandler>
    - - tigase.jaxmpp.j2se.connection.ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent

- Enclosing interface:
    ConnectionManager.ConnectionEstablishedHandler

      public static class ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent
      extends JaxmppEvent<ConnectionManager.ConnectionEstablishedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionEstablishedEvent(SessionObject sessionObject, ConnectionSession connectionSession, Socket socket)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(ConnectionManager.ConnectionEstablishedHandler handler)` Invokes handlers method.
    `ConnectionSession` | `getConnectionSession()`
    `Socket` | `getSocket()`
    `void` | `setConnectionSession(ConnectionSession connectionSession)`
    `void` | `setSocket(Socket socket)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionEstablishedEvent

          public ConnectionEstablishedEvent(SessionObject sessionObject,
                                            ConnectionSession connectionSession,
                                            Socket socket)

  - ### Method Detail

    - #### dispatch

          public void dispatch(ConnectionManager.ConnectionEstablishedHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<ConnectionManager.ConnectionEstablishedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getConnectionSession

          public ConnectionSession getConnectionSession()

    - #### setConnectionSession

          public void setConnectionSession(ConnectionSession connectionSession)

    - #### getSocket

          public Socket getSocket()

    - #### setSocket

          public void setSocket(Socket socket)

Copyright © 2006–2019 Tigase. All rights reserved.